DOCKER(1)

NAME

docker-plugin-ls - List plugins

SYNOPSIS

docker plugin ls [OPTIONS]

DESCRIPTION

Lists all the plugins that are currently installed. You can install plugins using the docker plugin install command. You can also filter using the -f or --filter flag.

Filters

Filter output based on these conditions:
   - enabled=(true|false) - plugins that are enabled or not
   - capability= - filters plugins based on capabilities (currently volumedriver, networkdriver, ipamdriver, or authz)

Format

Format the output using the given Go template.
   Valid placeholders:
      .ID - Plugin ID.
      .Name - Plugin Name.
      .Description - Plugin description.
      .Enabled - Whether plugin is enabled or not.

EXAMPLES

Display all plugins
    $ docker plugin ls
    ID                  NAME                                    DESCRIPTION                         ENABLED
    869080b57404        tiborvass/sample-volume-plugin:latest   A sample volume plugin for Docker   true
    141bf6c02ddd        vieux/sshfs:latest                      sshFS plugin for Docker             false

Display plugins with their ID and names
    $ docker plugin ls --format "{{.ID}}: {{.Name}}"
    869080b57404: tiborvass/sample-volume-plugin:latest

Display plugins in JSON format
    $ docker plugin ls --format json
    {"Description":"A sample volume plugin for Docker","Enabled":true,"ID":"2788a2da7e12","Name":"tiborvass/sample-volume-plugin:latest","PluginReference":"docker.io/tiborvass/sample-volume-plugin:latest"}

Display enabled plugins
    $ docker plugin ls --filter enabled=true
    ID                  NAME                                    DESCRIPTION                         ENABLED
    869080b57404        tiborvass/sample-volume-plugin:latest   A sample volume plugin for Docker   true

Display plugins with volumedriver capability
    $ docker plugin ls --filter capability=volumedriver --format "table {{.ID}}\t{{.Name}}"
    ID                  Name
    869080b57404        tiborvass/sample-volume-plugin:latest

OPTIONS

-f, --filter=
    Provide filter values (e.g. "enabled=true")

--format=""
    Format output using a custom template: 'table': Print output in table format with column headers (default) 'table TEMPLATE': Print output in table format using the given Go template 'json': Print in JSON format 'TEMPLATE': Print output using the given Go template. Refer to https://docs.docker.com/go/formatting/ for more information about formatting output with templates

-h, --help[=false]
    help for ls

--no-trunc[=false]
    Don't truncate output

-q, --quiet[=false]
    Only display plugin IDs

SEE ALSO

docker-plugin(1)